## RBMediaPlayerSource RBMediaPlayerSource |

## Functions

void | rb_media_player_source_load ()
guint64 | rb_media_player_source_get_capacity ()
guint64 | rb_media_player_source_get_free_space ()
void | rb_media_player_source_get_entries ()
void | rb_media_player_source_delete_entries ()
void | rb_media_player_source_show_properties ()
void | rb_media_player_source_sync ()

## Properties

GSettings * | encoding-settings | Read / Write
GstEncodingTarget * | encoding-target | Read / Write
gchar * | serial | Read

## Types and Values

struct | RBMediaPlayerSource
struct | RBMediaPlayerSourceClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── RBDisplayPage
                            ╰── RBSource
                                ╰── RBBrowserSource
                                    ╰── RBMediaPlayerSource

## Implemented Interfaces

RBMediaPlayerSource implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### rb_media_player_source_load ()

    void
    rb_media_player_source_load (RBMediaPlayerSource *source);

### rb_media_player_source_get_capacity ()

    guint64
    rb_media_player_source_get_capacity (RBMediaPlayerSource *source);

### rb_media_player_source_get_free_space ()

    guint64
    rb_media_player_source_get_free_space (RBMediaPlayerSource *source);

### rb_media_player_source_get_entries ()

    void
    rb_media_player_source_get_entries (RBMediaPlayerSource *source,
                                        const char *category,
                                        GHashTable *map);

#### Parameters

source | the RBMediaPlayerSource |
category | the sync category name |

### rb_media_player_source_delete_entries ()

    void
    rb_media_player_source_delete_entries (RBMediaPlayerSource *source,
                                           GList *entries,
                                           GAsyncReadyCallback callback,
                                           gpointer data);

#### Parameters

source | the RBMediaPlayerSource |
entries | list of entries to delete. | [element-type RB.RhythmDBEntry][transfer full]
callback | callback to call on completion |

### rb_media_player_source_show_properties ()

    void
    rb_media_player_source_show_properties
                                   (RBMediaPlayerSource *source);

### rb_media_player_source_sync ()

    void
    rb_media_player_source_sync (RBMediaPlayerSource *source);

## Types and Values

### struct RBMediaPlayerSource

    struct RBMediaPlayerSource;

### struct RBMediaPlayerSourceClass

    struct RBMediaPlayerSourceClass {
    	RBBrowserSourceClass parent_class;

    	/* class members */
    	void		(*get_entries) (RBMediaPlayerSource *source, const char *category, GHashTable *map);
    	guint64		(*get_capacity) (RBMediaPlayerSource *source);
    	guint64		(*get_free_space) (RBMediaPlayerSource *source);
    	void		(*delete_entries) (RBMediaPlayerSource *source,
    						 GList *entries,
    						 GAsyncReadyCallback callback,
    						 gpointer data);
    	void		(*add_playlist) (RBMediaPlayerSource *source, gchar *name, GList *entries);
    	void		(*remove_playlists) (RBMediaPlayerSource *source);
    	void		(*show_properties) (RBMediaPlayerSource *source, GtkWidget *info_box, GtkWidget *notebook);
    };

## Property Details

### The `“encoding-settings”` property

      “encoding-settings”        GSettings *

GSettings holding encoding settings.

Flags: Read / Write

### The `“encoding-target”` property

      “encoding-target”          GstEncodingTarget *

The GstEncodingTarget for this device

Flags: Read / Write

### The `“serial”` property

      “serial”                   gchar *

device serial number.

Flags: Read

Default value: NULL